Attack Defense
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAttackDefenseSetting | GET | Get attack and defense setting |
| modifyAttackDefenseSetting | PATCH | Modify attack and defense setting |
| getDefaultAttackDefense | GET | Get attack and defense default setting |
| resetAttackDefenseSetting | PATCH | Reset attack and defense setting |
getAttackDefenseSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/attack-defense
Get attack and defense setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAttackDefenseSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get attack and defense setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
modifyAttackDefenseSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/attack-defense
Modify attack and defense setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AttackDefenseSetting
| Field | Type | Required | Description |
|---|---|---|---|
tcpConnEnable | boolean | yes | Multi-connections TCP SYN flood enable of the attack defense setting. |
tcpConnLimit | integer | no | Multi-connections TCP SYN flood limit should be within the range of 100–99999. |
udpConnEnable | boolean | yes | Multi-connections UDP flood enable of the attack defense setting. |
udpConnLimit | integer | no | Multi-connections UDP flood limit should be within the range of 100–99999. |
icmpConnEnable | boolean | yes | Multi-connections ICMP flood enable of the attack defense setting. |
icmpConnLimit | integer | no | Multi-connections ICMP flood limit should be within the range of 100–99999. |
tcpSrcEnable | boolean | yes | Stationary source TCP SYN flood enable of the attack defense setting. |
tcpSrcLimit | integer | no | Stationary source TCP SYN flood limit should be within the range of 100–99999. |
udpSrcEnable | boolean | yes | Stationary source UDP flood enable of the attack defense setting. |
udpSrcLimit | integer | no | Stationary source UDP flood limit should be within the range of 100–99999. |
icmpSrcEnable | boolean | yes | Stationary source ICMP flood enable of the attack defense setting. |
icmpSrcLimit | integer | no | Stationary source ICMP flood limit should be within the range of 100–99999. |
tcpScanEnable | boolean | yes | Block TCP scan enable of the attack defense setting. |
tcpScanReject | boolean | no | Block TCP scan with reject of the attack defense setting. |
pingDeathEnable | boolean | yes | Block ping of death of the attack defense setting. |
largePingEnable | boolean | yes | Block large ping of the attack defense setting. |
largePingThreshold | integer | no | Block large ping threshold of the attack defense setting, Value is between 28 and 65535. |
pingWanEnable | boolean | yes | Block ping from WAN of the attack defense setting. |
winNukeAttackEnable | boolean | yes | Block WinNuke attack of the attack defense setting. |
tcpSynFinEnable | boolean | yes | Block TCP packets with SYN and FIN Bits set of the attack defense setting. |
tcpFinNoAckEnable | boolean | yes | Block TCP packets with FIN Bit set but no ACK Bit set of the attack defense setting. |
specifiedOptionEnable | boolean | yes | Block packets with specified options of the attack defense setting. |
specifiedOption | SpecifiedOptionOpenApiVO | no | (SpecifiedOptionOpenApiVO not expanded; call omada_get_schema "SpecifiedOptionOpenApiVO") |
icmpTimestampRequestReject | boolean | no | ICMP Timestamp Request setting of the attack defense setting. |
// omada_call_operation
{
"operationId": "modifyAttackDefenseSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify attack and defense setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33667 - The gateway does not support custom large ping threshold.
-33668 - The gateway does not support Block TCP Scan with RST.
-33669 - The gateway does not support ICMP Timestamp Request.
getDefaultAttackDefense
GET /openapi/v1/{omadacId}/sites/{siteId}/attack-defense/default
Get attack and defense default setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDefaultAttackDefense",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get attack and defense default setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
resetAttackDefenseSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/attack-defense/reset
Reset attack and defense setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "resetAttackDefenseSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Reset attack and defense setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify